Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.ruleflow.core
Class RuleFlowNodeContainerFactory

    java.lang.Object
      org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory

Direct Known Subclasses:
  CompositeNodeFactory, DynamicNodeFactory, ForEachNodeFactory, RuleFlowProcessFactory

    public abstract class RuleFlowNodeContainerFactory

extends Object

Constructor Summary
`RuleFlowNodeContainerFactory()`

Method Summary
`ActionNodeFactory` | `actionNode(long id)`
`CompositeNodeFactory` | `compositeNode(long id)`
`RuleFlowNodeContainerFactory` | `connection(long fromId, long toId)`
`abstract RuleFlowNodeContainerFactory` | `done()`
`DynamicNodeFactory` | `dynamicNode(long id)`
`EndNodeFactory` | `endNode(long id)`
`EventNodeFactory` | `eventNode(long id)`
`FaultNodeFactory` | `faultNode(long id)`
`ForEachNodeFactory` | `forEachNode(long id)`
`protected NodeContainer` | `getNodeContainer()`
`HumanTaskNodeFactory` | `humanTaskNode(long id)`
`JoinFactory` | `joinNode(long id)`
`MilestoneNodeFactory` | `milestoneNode(long id)`
`RuleSetNodeFactory` | `ruleSetNode(long id)`
`protected void` | `setNodeContainer(NodeContainer nodeContainer)`
`SplitFactory` | `splitNode(long id)`
`StartNodeFactory` | `startNode(long id)`
`SubProcessNodeFactory` | `subProcessNode(long id)`
`TimerNodeFactory` | `timerNode(long id)`
`WorkItemNodeFactory` | `workItemNode(long id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleFlowNodeContainerFactory

    public RuleFlowNodeContainerFactory()

Method Detail

### setNodeContainer

    protected void setNodeContainer(NodeContainer nodeContainer)

### getNodeContainer

    protected NodeContainer getNodeContainer()

### startNode

    public StartNodeFactory startNode(long id)

### endNode

    public EndNodeFactory endNode(long id)

### actionNode

    public ActionNodeFactory actionNode(long id)

### milestoneNode

    public MilestoneNodeFactory milestoneNode(long id)

### timerNode

    public TimerNodeFactory timerNode(long id)

### humanTaskNode

    public HumanTaskNodeFactory humanTaskNode(long id)

### subProcessNode

    public SubProcessNodeFactory subProcessNode(long id)

### splitNode

    public SplitFactory splitNode(long id)

### joinNode

    public JoinFactory joinNode(long id)

### ruleSetNode

    public RuleSetNodeFactory ruleSetNode(long id)

### faultNode

    public FaultNodeFactory faultNode(long id)

### eventNode

    public EventNodeFactory eventNode(long id)

### compositeNode

    public CompositeNodeFactory compositeNode(long id)

### forEachNode

    public ForEachNodeFactory forEachNode(long id)

### dynamicNode

    public DynamicNodeFactory dynamicNode(long id)

### workItemNode

    public WorkItemNodeFactory workItemNode(long id)

### connection

    public RuleFlowNodeContainerFactory connection(long fromId,
                                                   long toId)

### done

    public abstract RuleFlowNodeContainerFactory done()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.